## org.apache.fop.render.pdf
Class Font

    java.lang.Object
      |
      +--org.apache.fop.render.pdf.Font

Direct Known Subclasses:
  Courier, CourierBold, CourierBoldOblique, CourierOblique, Helvetica, HelveticaBold, HelveticaBoldOblique, HelveticaOblique, Symbol, TimesBold, TimesBoldItalic, TimesItalic, TimesRoman, ZapfDingbats

public abstract class Font
extends java.lang.Object
implements FontMetric

base class for PDF font classes

Constructor Summary
`Font()`

Method Summary
`abstract java.lang.String` `encoding()` get the encoding of the font
`abstract java.lang.String` `fontName()` get the base font name
`byte` `getSubType()` get the subtype of the font, default is TYPE1

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Font

    public Font()

Method Detail

### encoding

    public abstract java.lang.String encoding()

  get the encoding of the font

### fontName

    public abstract java.lang.String fontName()

  get the base font name

### getSubType

    public byte getSubType()

  get the subtype of the font, default is TYPE1

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.